#include "funcwidget1.h"
#include "ui_funcwidget1.h"

FuncWidget1Base::FuncWidget1Base(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::FuncWidget1Base)
{
    ui->setupUi(this);

    connect(ui->mSubmitButton, &QPushButton::clicked, this, &FuncWidget1Base::signalSubmit);
    connect(ui->mCancelButton, &QPushButton::clicked, this, &FuncWidget1Base::signalCancel);
//    this->setObjectName("FuncWidgetCentralWidget");
}

FuncWidget1Base::~FuncWidget1Base()
{
    delete ui;
}

FuncWidget1::FuncWidget1(QWidget *parent)
    : FancyWindow(parent)
{

    mFuncWidget1Base = new FuncWidget1Base;

    this->setCentralWidget(mFuncWidget1Base);
    this->setWindowTitle("功能1");
    this->setObjectName("FuncWidgetCentralWidget");

    connect(mFuncWidget1Base, &FuncWidget1Base::signalSubmit, this, &FuncWidget1::hide);
    connect(mFuncWidget1Base, &FuncWidget1Base::signalCancel, this, &FuncWidget1::hide);
}

FuncWidget1::~FuncWidget1()
{

}
